package com.fs.store.service;

import java.util.List;
import com.fs.store.domain.FsMaterialGroup;

/**
 * 素材分组Service接口
 * 
 * @author fs
 * @date 2022-03-15
 */
public interface IFsMaterialGroupService 
{
    /**
     * 查询素材分组
     * 
     * @param groupId 素材分组ID
     * @return 素材分组
     */
    public FsMaterialGroup selectFsMaterialGroupById(Long groupId);

    /**
     * 查询素材分组列表
     * 
     * @param fsMaterialGroup 素材分组
     * @return 素材分组集合
     */
    public List<FsMaterialGroup> selectFsMaterialGroupList(FsMaterialGroup fsMaterialGroup);

    /**
     * 新增素材分组
     * 
     * @param fsMaterialGroup 素材分组
     * @return 结果
     */
    public int insertFsMaterialGroup(FsMaterialGroup fsMaterialGroup);

    /**
     * 修改素材分组
     * 
     * @param fsMaterialGroup 素材分组
     * @return 结果
     */
    public int updateFsMaterialGroup(FsMaterialGroup fsMaterialGroup);

    /**
     * 批量删除素材分组
     * 
     * @param groupIds 需要删除的素材分组ID
     * @return 结果
     */
    public int deleteFsMaterialGroupByIds(Long[] groupIds);

    /**
     * 删除素材分组信息
     * 
     * @param groupId 素材分组ID
     * @return 结果
     */
    public int deleteFsMaterialGroupById(Long groupId);
}
